DELETE
/datasets/{Dataset_Id}/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/datasets/{Dataset_Id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/gpu/datasets/{Dataset_Id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/datasets/{Dataset_Id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Dataset_Id
required
integer
Dataset id
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Dataset deletion confirmation.
Media typeapplication/json
object
code
HTTP status code for the operation.
integer
data
Placeholder object as no data is returned.
object
errors
Contains any errors that occurred.
object
message
Result message confirming the deletion.
string
Example
{ "code": 200, "data": {}, "errors": {}, "message": "Dataset deleted successfully"}